Page MenuHomePhabricator

eio/fallback: fix MODIFY event emission on base path when monitoring
ClosedPublic

Authored by zmike on Jun 26 2018, 3:31 PM.

Details

Summary

previously this sent a DELETE event any time the target file was modified

@fix
fix T7042
Depends on D6441

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Jun 26 2018, 3:31 PM
zmike requested review of this revision.Jun 26 2018, 3:31 PM

That's a weird one. Seems right to me now.

Do we still accurately catch the actual delete case?

The test passes.

ManMower accepted this revision.Jun 27 2018, 10:13 AM
This revision is now accepted and ready to land.Jun 27 2018, 10:13 AM
Closed by commit rEFL1544ec480879: eio/fallback: fix MODIFY event emission on base path when monitoring (authored by zmike, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyJun 28 2018, 9:11 AM
This revision was automatically updated to reflect the committed changes.